#include<iostream>
#include<cmath>
#include<math.h>
using namespace std;

int main()
{
	float s,t,e;
	int i;
	s=0;
	t=1.0;
	cin>>e;
	for(i=1;abs(t)>=e;i++){
		
		s=s+t;
		t=pow(-1,i)/(4*i+1);
		
	} 
	
	cout<<s;
	
	return 0;
	
}
